tvbrowser.core.filters.filtercomponents

## Class AbstractFilterComponent

- java.lang.Object
- - tvbrowser.core.filters.filtercomponents.AbstractFilterComponent

- All Implemented Interfaces:
    FilterComponent
  Direct Known Subclasses:
    AgeLimitFilterComponent, BeanShellFilterComponent, ChannelFilterComponent, DateFilterComponent, DayFilterComponent, FavoritesFilterComponent, KeywordFilterComponent, MassFilterComponent, PluginFilterComponent, PluginIconFilterComponent, ProgramInfoFilterComponent, ProgramLengthFilterComponent, ProgramMarkingPriorityFilterComponent, ProgramRunningFilterComponent, ProgramTypeFilterComponent, ReminderFilterComponent, SingleTitleFilterComponent, TimeFilterComponent

      public abstract class AbstractFilterComponent
      extends java.lang.Object
      implements FilterComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tvbrowser.core.filters.FilterComponent

      `FilterComponent.NameComparator, FilterComponent.TypeComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFilterComponent(java.lang.String name, java.lang.String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Gets the description of a FilterComponent.
    `java.lang.String` | `getName()` Gets the name of a FilterComponent.
    `java.lang.String` | `getTypeDescription()` Gets the description of a FilterComponent type.
    `void` | `setDescription(java.lang.String desc)` Sets the description of a FilterComponent.
    `void` | `setName(java.lang.String name)` Sets the name of a FilterComponent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tvbrowser.core.filters.FilterComponent

      `accept, getSettingsPanel, getVersion, read, saveSettings, write`

- - ### Constructor Detail

    - #### AbstractFilterComponent

          public AbstractFilterComponent(java.lang.String name,
                                 java.lang.String description)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `FilterComponent`
      Gets the name of a FilterComponent.
      Specified by:
        `getName` in interface `FilterComponent`
      Returns:
        The name of the FilterComponent.

    - #### getTypeDescription

          public java.lang.String getTypeDescription()

      Description copied from interface: `FilterComponent`
      Gets the description of a FilterComponent type.
      Specified by:
        `getTypeDescription` in interface `FilterComponent`
      Returns:
        The description of the FilterComponent type.

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `FilterComponent`
      Gets the description of a FilterComponent.
      Specified by:
        `getDescription` in interface `FilterComponent`
      Returns:
        The description of the FilterComponent.

    - #### setName

          public void setName(java.lang.String name)

      Description copied from interface: `FilterComponent`
      Sets the name of a FilterComponent.
      Specified by:
        `setName` in interface `FilterComponent`
      Parameters:
        `name` - The new name of the FilterComponent.

    - #### setDescription

          public void setDescription(java.lang.String desc)

      Description copied from interface: `FilterComponent`
      Sets the description of a FilterComponent.
      Specified by:
        `setDescription` in interface `FilterComponent`
      Parameters:
        `desc` - The new description of the FilterComponent.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)